<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.computer.home.title">Computers</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-computer" [routerLink]="['/computer/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.computer.home.createLabel">
            Create a new Computer
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="computers?.length === 0">
        <span jhiTranslate="shoppingonlineApp.computer.home.notFound">No computers found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="computers && computers.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.computer.prezzo">Prezzo</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.computer.configurazione">Configurazione</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let computer of computers ;trackBy: trackId">
                    <td><a [routerLink]="['/computer', computer.id, 'view']">{{ computer.id }}</a></td>
                    <td>{{ computer.prezzo }}</td>
                    <td>
                        <div *ngIf="computer.configurazione">
                            <a [routerLink]="['/configurazione', computer.configurazione?.id, 'view']" >{{ computer.configurazione?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/computer', computer.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/computer', computer.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(computer)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
